## OGMDvdTitleChooser

OGMDvdTitleChooser — DVD title chooser interface used by OGMDvdTitleChooserWidget

## Functions

void | ogmdvd_title_chooser_set_disc ()
OGMDvdDisc * | ogmdvd_title_chooser_get_disc ()
OGMDvdTitle * | ogmdvd_title_chooser_get_active ()

## Properties

gpointer | disc | Read / Write
gpointer | title | Read

## Types and Values

| OGMDvdTitleChooser

## Object Hierarchy

        GInterface
        ╰── OGMDvdTitleChooser

## Prerequisites

OGMDvdTitleChooser requires GtkWidget.

## Known Implementations

OGMDvdTitleChooser is implemented by OGMDvdTitleChooserWidget.

## Includes

    #include <ogmdvd-title-chooser.h>

## Description

## Functions

### ogmdvd_title_chooser_set_disc ()

    void
    ogmdvd_title_chooser_set_disc (OGMDvdTitleChooser *chooser,
                                   OGMDvdDisc *disc);

Sets the OGMDvdDisc to select the title from.

#### Parameters

chooser | An OGMDvdTitleChooser |
disc | An OGMDvdDisc |

### ogmdvd_title_chooser_get_disc ()

    OGMDvdDisc *
    ogmdvd_title_chooser_get_disc (OGMDvdTitleChooser *chooser);

Returns the OGMDvdDisc which was passed to `ogmdvd_title_chooser_set_disc()`.

#### Parameters

chooser | An OGMDvdTitleChooser |

#### Returns

The current OGMDvdDisc

### ogmdvd_title_chooser_get_active ()

    OGMDvdTitle *
    ogmdvd_title_chooser_get_active (OGMDvdTitleChooser *chooser);

Returns the active OGMDvdTitle.

#### Parameters

chooser | An OGMDvdTitleChooser |

#### Returns

The active OGMDvdTitle

## Types and Values

### OGMDvdTitleChooser

    typedef struct _OGMDvdTitleChooser OGMDvdTitleChooser;

## Property Details

### The `“disc”` property

      “disc”                     gpointer

The DVD disc.

Flags: Read / Write

### The `“title”` property

      “title”                    gpointer

The active DVD title.

Flags: Read